Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class FacesEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ActionEvent, BehaviorEvent, ValueChangeEvent

    public abstract class FacesEvent

extends EventObject

FacesEvent is the base class for user interface and application events that can be fired by `UIComponent`s. Concrete event classes must subclass `FacesEvent` in order to be supported by the request processing lifecycle.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FacesEvent(UIComponent component)` Construct a new event object from the specified source component.

Method Summary
`UIComponent` | `getComponent()` Return the source `UIComponent` that sent this event.
`PhaseId` | `getPhaseId()` Return the identifier of the request processing phase during which this event should be delivered.
`abstract boolean` | `isAppropriateListener(FacesListener listener)` Return `true` if this `FacesListener` is an instance of a listener class that this event supports.
`abstract void` | `processListener(FacesListener listener)` Broadcast this `FacesEvent` to the specified `FacesListener`, by whatever mechanism is appropriate.
`void` | `queue()` Convenience method to queue this event for broadcast at the end of the current request processing lifecycle phase.
`void` | `setPhaseId(PhaseId phaseId)` Set the `PhaseId` during which this event will be delivered.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacesEvent

    public FacesEvent(UIComponent component)

  Construct a new event object from the specified source component.

  Parameters:
    `component` - Source `UIComponent` for this event
  Throws:
    `IllegalArgumentException` - if `component` is `null`

Method Detail

### getComponent

    public UIComponent getComponent()

  Return the source `UIComponent` that sent this event.

### getPhaseId

    public PhaseId getPhaseId()

  Return the identifier of the request processing phase during which this event should be delivered. Legal values are the singleton instances defined by the `PhaseId` class, including `PhaseId.ANY_PHASE`, which is the default value.

### setPhaseId

    public void setPhaseId(PhaseId phaseId)

  Set the `PhaseId` during which this event will be delivered.

  Throws:
    `IllegalArgumentException` - phaseId is null.

### queue

    public void queue()

  Convenience method to queue this event for broadcast at the end of the current request processing lifecycle phase.

  Throws:
    `IllegalStateException` - if the source component for this event is not a descendant of a `UIViewRoot`

### isAppropriateListener

    public abstract boolean isAppropriateListener(FacesListener listener)

  Return `true` if this `FacesListener` is an instance of a listener class that this event supports. Typically, this will be accomplished by an "instanceof" check on the listener class.

  Parameters:
    `listener` - `FacesListener` to evaluate

### processListener

    public abstract void processListener(FacesListener listener)

  Broadcast this `FacesEvent` to the specified `FacesListener`, by whatever mechanism is appropriate. Typically, this will be accomplished by calling an event processing method, and passing this `FacesEvent` as a paramter.

  Parameters:
    `listener` - `FacesListener` to send this `FacesEvent` to
  Throws:
    `AbortProcessingException` - Signal the JavaServer Faces implementation that no further processing on the current event should be performed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.